import { View } from "@tarojs/components";
import HotBlock from "../HotBlock";
import './room.scss'
import lockImg from '../../assets/lock.png'
import preselectionImg from '../../assets/preselection.png'
import chipsImg from '../../assets/chips.png'

export default function Room(props) {
  const { roomName, heat, realHeat, status, raiseHeat, raiseRealHeat, showAction, ownerd, houseLockingStatus, mineLocked, minePreselection, mineRaise } = props.dataset || {}
  // const personNum = `(${realHeat + heat + 0}人)`
  const { currentHot = 0 } = props
  const personNum = realHeat + heat + 0
  const raisePersonNum = raiseHeat + raiseRealHeat + 0

  const handleClick = () => {
    if (props.onClick) {
      props.onClick(props.dataset || {})
    }
  }

  const actionIcon = ownerd ? 'subtract-circle' : 'add-circle'

  const handleActionClick = () => {
    if (showAction && props.onActionClick) {
      props.onActionClick(props.dataset || {})
    }
  }

  return (
    <HotBlock number={currentHot == '0' ? personNum : raisePersonNum}>
      {
        status == '1' &&
        (<View className="room">
          <View onClick={handleClick}>
            <View className="roomname">{roomName || ''}</View>
            <View className="yuxuan">{personNum}预选</View>
            <View className="yuxuan">{raisePersonNum}认筹</View>
            {minePreselection && <Image src={preselectionImg} className="preselection-img"></Image>}
            {mineRaise && <Image src={chipsImg} className="chips-img"></Image>}
            {houseLockingStatus == 'locked' && <Image src={lockImg} style={mineLocked ? 'position: absolute; right: 2px;bottom: 3px;' : ''} className="lock-img"></Image>}
          </View>
          {
            !showAction && (
              <View className="action" onClick="handleActionClick">
                <View className={`at-icon at-icon-${actionIcon}`}></View>
              </View>
            )
          }
        </View>)
      }

    </HotBlock>
  )
}
