import Taro, { Component } from '@tarojs/taro'
import { View } from '@tarojs/components'
import './index.scss'
import RaiseCard from '../../components/RaiseCard'

export default class HouseResource extends Component {
  config = {
    navigationBarTitleText: '房源清单'
  }

  render() {
    const list = [
      {
        apartmentName: 'A户型',
        blockName: "1栋",
        buildingId: "9f021a59b2a714822894c23ccca8c2db",
        buildingImgList: null,
        buildingName: "万科安平园舍",
        createDate: "2020-02-27T16:31:56",
        floorName: "1楼",
        houseId: "820",
        preselectionRecordId: 205,
        price: "111.00000000",
        roomName: "1户",
        saleBatchStatus: "1",
        status: 1,
        termname: "1期",
        unitName: "2单元",
        area1: '290',
        area2: '270',
        code: '2-09876545456'
      }, {
        apartmentName: 'B户型',
        blockName: "1栋",
        buildingId: "9f021a59b2a714822894c23ccca8c2db",
        buildingImgList: null,
        buildingName: "凤翔新城",
        createDate: "2020-02-27T16:31:56",
        floorName: "1楼",
        houseId: "820",
        preselectionRecordId: 206,
        price: "111.00000000",
        roomName: "1户",
        saleBatchStatus: "1",
        status: 1,
        termname: "1期",
        unitName: "2单元",
        area1: '290',
        area2: '270',
        code: '2-09876545333'
      },
    ]

    return (
      <View style="padding-top:30rpx">
        {
          list.map(item => (
            <View key={item.raiseRecordId} >
              <RaiseCard type="houseResource" summary={item} />
            </View>
          )
          )
        }
      </View>
    )
  }

}
